`default_nettype none
module add4(

    output     PIN_14, // LEDs
    output     PIN_15,
    output     PIN_16,
    output     PIN_17,
    output     PIN_18,
    input      PIN_5, // input btn0
    input      PIN_6, // input btn1
    input      PIN_7, // input btn2
    input      PIN_8, // input btn3
    // not skipping PIN_9
    input      PIN_10, // input swt1
    input      PIN_11, // input swt2
    input      PIN_12, // input swt3
    input      PIN_13, // input swt4
    );


// Alias inputs
wire  [3:0] a;
wire  [3:0] b;
wire  [4:0] c; // you will likely use

// Alias outputs
wire   [4:0] o;

// assign inputs to signals with meaningful names
assign a[0]=PIN_10;
assign a[1]=PIN_11;
assign a[2]=PIN_12;
assign a[3]=PIN_13;

assign b[0]=PIN_5;
assign b[1]=PIN_6;
assign b[2]=PIN_7;
assign b[3]=PIN_8;


   always  // combinational assignment -- always computing
   begin // 
     o<=a+b; 
     end


   // Wire up the lights
     assign PIN_14 = o[0];
     assign PIN_15 = o[1];
     assign PIN_16 = o[2];
     assign PIN_17 = o[3]; 
     assign PIN_18 = o[4]; 
endmodule
